Mulgara - Feature #173

Implement Accept headers
11/22/2008 03:03 PM - Paula Gearon

Status: Closed Start date:

Priority: High Due date:

Assignee: Paula Gearon % Done: 0%
Category: HTTP interface Estimated time: 0.00 hour
Target version: General development

Resolution: fixed

Description

The web api current takes "out" as a parameter to define the return type. This should be implemented as a content type defined in
the Accept header from the client. See:
http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.1

For ease of access with clients that set their own Accept types, the "out" parameter should continue to be accepted, but the name
should change to something more sensible, like "type".

History

#1 - 02/10/2009 12:13 AM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed

Implemented. Also, changed parameter name to "format", and this overrides the Accept header.

#2 - 02/10/2009 01:56 PM - ronald -
Merged into trunk in r1457.
